---
--- Generated manually.
--- Created by liaogaocan.
--- DateTime: 2020-7-29 15:39:19
---

local LBaseWeather = ImportScript("ugc_common/script/core/environment/base_weather.lua").LBaseWeather;

---@class LPCWeather
local LPCWeather = LPCWeather or class("LPCWeather", LBaseWeather);

function LPCWeather:Enable(bEnable)
    return KLWeather.Enable(bEnable);
end

function LPCWeather:IsEnable()
    return KLWeather.IsEnable();
end

function LPCWeather:EnableSnowCover(bEnable)
    return KLWeather.EnableSnowCover(bEnable);
end

function LPCWeather:IsEnableSnowCover()
    return KLWeather.IsEnableSnowCover();
end

function LPCWeather:EnableSplash(bEnable)
    return KLWeather.EnableSplash(bEnable);
end

function LPCWeather:IsEnableSplash()
    return KLWeather.IsEnableSplash();
end

function LPCWeather:EnableWaterDrop(bEnable)
    return KLWeather.EnableWaterDrop(bEnable);
end

function LPCWeather:IsEnableWaterDrop()
    return KLWeather.IsEnableWaterDrop();
end

function LPCWeather:EnableDropShockWave(bEnable)
    return KLWeather.EnableDropShockWave(bEnable);
end

function LPCWeather:IsEnableDropShockWave()
    return KLWeather.IsEnableDropShockWave();
end

function LPCWeather:UseMaterial(bUse)
    return KLWeather.UseMaterial(bUse);
end

function LPCWeather:IsUseMaterial()
    return KLWeather.IsUseMaterial();
end

function LPCWeather:SetDensity(fDensity)
    return KLWeather.SetDensity(fDensity);
end

function LPCWeather:GetDensity()
    return KLWeather.GetDensity();
end

function LPCWeather:SetDensityGate(fGate)
    return KLWeather.SetDensityGate(fGate);
end

function LPCWeather:GetDensityGate()
    return KLWeather.GetDensityGate();
end

function LPCWeather:SetSpeed(fSpeed)
    return KLWeather.SetSpeed(fSpeed);
end

function LPCWeather:GetSpeed()
    return KLWeather.GetSpeed();
end

function LPCWeather:SetSpeedGate(fGate)
    return KLWeather.SetSpeedGate(fGate);
end

function LPCWeather:GetSpeedGate()
    return KLWeather.GetSpeedGate();
end

function LPCWeather:SetLength(fLength)
    return KLWeather.SetLength(fLength);
end

function LPCWeather:GetLength()
    return KLWeather.GetLength();
end

function LPCWeather:SetWidth(fWidth)
    return KLWeather.SetWidth(fWidth);
end

function LPCWeather:GetWidth()
    return KLWeather.GetWidth();
end

function LPCWeather:SetAlpha(fAlpha)
    return KLWeather.SetAlpha(fAlpha);
end

function LPCWeather:GetAlpha()
    return KLWeather.GetAlpha();
end

function LPCWeather:SetWind(fWind)
    return KLWeather.SetWind(fWind);
end

function LPCWeather:GetWind()
    return KLWeather.GetWind();
end

function LPCWeather:SetAlphaFadeSpeedBegin(fAlphaFadeSpeedBegin)
    return KLWeather.SetAlphaFadeSpeedBegin(fAlphaFadeSpeedBegin);
end

function LPCWeather:GetAlphaFadeSpeedBegin()
    return KLWeather.GetAlphaFadeSpeedBegin();
end

function LPCWeather:SetAlphaFadeSpeedEnd(fAlphaFadeSpeedEnd)
    return KLWeather.SetAlphaFadeSpeedEnd(fAlphaFadeSpeedEnd);
end

function LPCWeather:GetAlphaFadeSpeedEnd()
    return KLWeather.GetAlphaFadeSpeedEnd();
end

function LPCWeather:SetSnowPercent(fSnowPercent)
    return KLWeather.SetSnowPercent(fSnowPercent);
end

function LPCWeather:GetSnowPercent()
    return KLWeather.GetSnowPercent();
end

function LPCWeather:SetBrightness(fBrightness)
    return KLWeather.SetBrightness(fBrightness);
end

function LPCWeather:GetBrightness()
    return KLWeather.GetBrightness();
end

function LPCWeather:SetParticleTexture(szTexture)
    return KLWeather.SetParticleTexture(szTexture);
end

function LPCWeather:GetParticleTexture()
    return KLWeather.GetParticleTexture();
end

function LPCWeather:SetMaterialFile(szMaterialFile)
    return KLWeather.SetMaterialFile(szMaterialFile);
end

function LPCWeather:GetMaterialFile()
    return KLWeather.GetMaterialFile();
end

function LPCWeather:SetType(eType)
    return KLWeather.SetType(eType);
end

function LPCWeather:GetType()
    return KLWeather.GetType();
end

function LPCWeather:Apply()
    return KLWeather.Apply();
end

_G.g_Weather = LPCWeather:new();
